Playermoderation

Create User Moderation

POST
/user/{userId}/moderations

With type kick, bans the user in the path from the instance given by worldId and instanceId. The user is not removed from the instance, but cannot join it again, even by invite.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/user/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469/moderations" \  -H "Content-Type: application/json" \  -d '{    "reason": "string",    "type": "kick"  }'
{
  "id": "mod_f862716d-23bf-49e0-a931-a08759450834"
}

{
  "error": {
    "message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
    "status_code": 400
  }
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You cannot moderate this user․",
    "status_code": 403
  }
}

{
  "error": {
    "message": "Calendar Entry not foundǃ",
    "status_code": 404
  }
}